# Created by RMT Admin
network:
  version: 2
  renderer: NetworkManager
  ethernets:
    {{ ansible_default_ipv4.interface }}
    dhcp4: false
    addresses:
    - {{ hostvars[inventory_hostname].ansible_host }}/{{ hostvars[inventory_hostname].network.subnet }}
    gateway4: {{ hostvars[inventory_hostname].network.gateway }}
    nameservers:
      addresses:
{% for dns in hostvars[inventory_hostname].network.dns %}
      - {{ dns }}
{% endfor %}
    optional: false
